D-Bus 1.13.18

Data Fields
DBusPendingCall Struct Reference
D-Bus secret internal implementation details » DBusPendingCall implementation details

Implementation details of DBusPendingCall - all fields are private. More...

## Data Fields
DBusAtomic | refcount
| reference count
DBusDataSlotList | slot_list
| Data stored by allocated integer ID.
DBusPendingCallNotifyFunction | function
| Notifier when reply arrives.
DBusConnection * | connection
| Connections we're associated with.
DBusMessage * | reply
| Reply (after we've received it)
DBusTimeout * | timeout
| Timeout.
DBusList * | timeout_link
| Preallocated timeout response.
dbus_uint32_t | reply_serial
| Expected serial of reply.
unsigned int | completed: 1
| TRUE if some thread has taken responsibility for completing this pending call: either the pending call has completed, or it is about to be completed. More...
unsigned int | timeout_added: 1
| TRUE if we have added the timeout. More...

## Detailed Description

Implementation details of DBusPendingCall - all fields are private.

Definition at line 62 of file dbus-pending-call.c.

## Field Documentation

## ◆ completed

unsigned int DBusPendingCall::completed

TRUE if some thread has taken responsibility for completing this pending call: either the pending call has completed, or it is about to be completed.

Protected by the connection lock.

Definition at line 83 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_finish_completion(), _dbus_pending_call_get_completed_unlocked(), _dbus_pending_call_start_completion_unlocked(), dbus_pending_call_get_completed(), and dbus_pending_call_steal_reply().

## ◆ timeout_added

unsigned int DBusPendingCall::timeout_added

TRUE if we have added the timeout.

Protected by the connection lock.

Definition at line 87 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_is_timeout_added_unlocked(), and _dbus_pending_call_set_timeout_added_unlocked().

The documentation for this struct was generated from the following file:

- dbus-pending-call.c